Index: docs.m17n/CHANGELOG
*** /dev/null	Wed Aug 20 14:47:14 1997
--- nvi-1.79-m17n/docs.m17n/CHANGELOG	Wed Aug 20 15:53:23 1997
***************
*** 0 ****
--- 1,922 ----
+ The following part is progress log, written in japanese.
+ ---
+ 	$BFC$K5-=R$N$J$$5!G=$O!V$^$@<j$b$D$1$F$J$$!W$C$F$3$H$r0UL#$7$^$9!#(B
+ 
+ 	$BL$2r7h(B: multi_ext2int_region$B$N0z?t4X78@0M}(B(4/4)
+ 		$BFC$K9T?t$,JQ2=$9$k$H$-$N=hM}$K$D$$$F!#(B
+ 	$BL$2r7h(B: sjis/euc-jp$B$G$N(BJIS X0201$B:8H>J,$N<h07$$!#(B(4/2)
+ 		- $B=q$-=P$7(B/$BI=<(;~$K(BASCII$B$@$H$*$b$C$F=PNO(B
+ 			yen mark$B$H(Bbackslash$B$N6hJL$O0l@8$D$+$J$$(B
+ 		- $B=q$-=P$7(B/$BI=<(;~$K6hJL$7$F=PNO(B
+ 			$B6hJL$O$D$/$1$I(Bescape sequence$B$,(B...
+ 
+ 		-> encoding$BL>$K%*%W%7%g%s$,=q$1$k$h$&$K$9$k(B?
+ 			fileencoding=sjis:nantara:kantara
+ 		   $BJ#;($G$o$+$j$K$/$$!#C/$,(Bparse$B$9$k$N(B?
+ 	$BL$2r7h(B: leftright$B$N$H$-!"9T:8C<$N0LCV$,$*$+$7$$!#(B(2/21)
+ 		$BFC$K!"$$$A$P$s:8$N7e$+$i(Bmultibyte$BJ8;z$,;O$^$k$H$-!#(B
+ 	$BL$2r7h(B: isblank()$B4X78$N%H%i%V%k%7%e!<%F%#%s%0!#(B(2/19)
+ 		$B0lIt$N(BOS$B$KIUB0$N$O%^%$%J%9$NCM$rEO$9$HH/68$9$k!#(B
+ 		-> char *$B$O$[$\A4It(BCHAR_T$B$K!#(B
+ 		printf$B4X78LLE]!#(B -> CHAR_T$B$r(Bu_int$B$K$7$h$&7W2h$X(B
+ 	$BL$2r7h(B: ex$B$N(Bechoback$B$r$I$&$7$h$&(B? (2/14)
+ 	$BL$2r7h(B: esc$B$N%?%$%`%"%&%H$,G\D9$$!#$^$"$$$$$+$"(B?(2/7)
+ 	$BL$2r7h(B: :r$B$G%U%!%$%k$rFI$s$@$"$H(Bundo$B$9$k$H!"FbItI=8=$K(B
+ 		$BJQ49$r$d$C$?9T?t$,%P%l$F$7$^$&!#(B(2/4)
+ 		$B$3$lF($2$k$NAjEvFq$7$$$G$9!#(Bundo log management$B$N$H$3$m$r(B
+ 		$B13$D$+$J$$$H$$$1$J$$$s$@$b$s$M!#(B
+ 	$BL$2r7h(B: wrapmargin/wraplen$B$N40A42=!#9T$r@Z$k>r7o$ND4@0!#(B(2/15)
+ 	$BESCf(B: JIS X0201-left$B$NJ8;z$H(BASCII$B$NJ8;z$H$+!"8!:w$H$+$N$H$-$K(B
+ 		$BF10l;k$7$?$$J8;z$O$I$&$9$l$P$$$$$+(B?(2/4)
+ 		1. $B@55,2=%D!<%k$r$D$1$F(Bfilter$B$7$F$b$i$&(B(2/11 ok)
+ 		2. $BF10l;k$9$k%*%W%7%g%s$r$D$1$k(B --- $BLLE](B
+ 	$BL$2r7h(B: cl_deleteln()$B$O8=:_0\?"@-$,$J$$$N$GD>$9(B(2/3)
+ 		inch()$B$N(Bmultibyte$B2=$C$F$I$&$d$l$P$$$$$s$@!#(B
+ 	$BL$2r7h(B: Wnn$B$H$N%j%s%/$O2DG=$+(B?(2/2)
+ 		$B$-$C$H$a$s$I$/$5$$$H$*$b$&!#(B
+ 		cserver$B$H$+;H$($k$H$-$C$H$$$$$s$@$1$I$J!#(B
+ 	$BL$2r7h(B: $B1Q8l(Bnvi/vi$B$H$N(B.exrc$B$N%3%s%U%j%/%H$r$I$&$7$h$&!#(B(2/2)
+ 		1. $B%3%a%s%H$K$7$F$*$/(B
+ 		2. $B%U%!%$%kL>$rJQ$($k(B
+ 		3. wrapper$B$GF($2$k(B
+ 		4. $B5$$K$7$J$$(B
+ 	$BL$2r7h(B: $B@55,I=8=$r$,$s$P$m$&(B(12/30)
+ 		$B;D$k$OC18l6-3&G'<1!#(B
+ 	$BMWD4::(B: $B3F<o(Biso-2022-*$B7OC<Kv%=%U%H$N@8@.$9$k%-!<%\!<%IF~NO%3!<%I!#(B
+ 		$B$I$3$^$G$^$8$a$K2r<a$9$kI,MW$,$"$k(B?(12/29)
+ 	$BMW:F9M(B: $B<+F0H=JL$K$D$$$F:F9M!#(B(12/26)
+ 		$BFI$_9~$_E*LdBj(B: $BH=JL$G$-$J$$$d$D$r$I$&$9$k$+(B
+ 		$B=q$-=P$7E*LdBj(B: $B%U%!%$%kFb$N(Bcharset$B$rA4It(Bencode$B$G$-$k$+(B
+ 	$BL$2r7h(B: $B<+F0H=JL@dBP$G$-$J$$$d$D$O$I$&$d$C$FA*$Y$P$$$$(B?(12/26)
+ 		$B<B$O(Beuc-*$B$C$F6hJL$,8z$+$J$$$N$G$5$"$I$&$7$h$&!#(B
+ 		$B$"$H(Blatin*$B$H$+$O6hJL$G$-$J$$$M!#(B
+ 	$BL$2r7h(B: multi_predict_region()$B$N(Bencoding$BH=JL$r$b$C$H:Y$+$/(B(12/24)
+ 	$BMW:F9M(B: multi_ext2int_region()$B$N%(%i!<=hM}(B(12/24)
+ 		$B4m$J$$$3$H$9$k$N$K!"8=:_$O$X$/$C$?$i(Babort()$B!#LnHZ!#(B
+ 	$BL$2r7h(B: $BCN$i$J$$(BISO-2022-*$B$N(Bescape sequence$B$NBP=h(B(12/23)
+ 		$B$$$^$O(BASCII$B$H;W$C$F$k$N$G!"(BASCII in$B$,$G$J$$!#(B
+ 	$BMW:F9M(B: $BC10l8@8l(Bencoding$B$N%Q!<%5$GCN$i$J$$(Bcharset$B$,Mh$?$i$I$&$9$k(B?
+ 		(12/23)
+ 		$B$$$^$O<N$F$F$k!#(B
+ 	$BMW:F9M(B: $B9TKv$^$?$$$G(Bmultibyte$B$,Mh$?;~$O9TKv%9%Z!<%9Kd$a$G$$$$(B?(12/23)
+ 		mule$B$_$?$$$K(Bbackslash$BKd$a$b%F$@$J!#(B
+ 	$BL$2r7h(B: :set leftright$B;~$N(Bmultibyte$B$N9TKv=hM}(B(12/22)
+ 	$BESCf(B: join$B%3%^%s%I$N(Bmultibyte$BBP1~:F9M(B(12/8)
+ 		$BJ8;z<o$4$H$KF0:n$rJQ$($i$l$k$h$&$K!#(B
+ 	$BESCf(B: ($B%3%^%s%I$H(B)$B%3%^%s%I(B(multibyte$BJ8;z$N>e$ODL$jH4$1$k$@$1(B) (11/30)
+ 	$BESCf(B: %$B%3%^%s%I(B(multibyte$BJ8;z$N>e$ODL$jH4$1$k$@$1(B) (11/30)
+ 	$BESCf(B: ~$B%3%^%s%I(B(multibyte$BJ8;z$N>e$ODL$jH4$1$k$@$1(B) (11/30)
+ 
+ 8/20
+ 	$B:n6H(B: typo fix: s/JIS X0208-1976/JIS X0208-1978/
+ 		common/multibyte.c
+ 		common/multi_iso2022.c
+ 	$B:n6H(B: character set$BL>$N@0M}!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: multibyte$BJ8;z$N>e$G(B"r\r"$B$9$k$H2=$1$F$$$?$N$r=$@5!#(B
+ 		vi/v_replace.c
+ 	$B:n6H(B: JIS X0208-1990$B%5%]!<%H!#(BESC & x$B$N%5%]!<%H4^$`!#(B
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 		common/multi_iso2022.h
+ 6/17
+ 	$B:n6H(B: memory leak$B4X78$N=$@5!#(B
+ 6/2
+ 	$B:n6H(B: sjis$B$N<+F0H=Dj$,4V0c$C$F$$$?(B(0x8e$B$H(B0x8f$B$,8=$l$?$H$-$N=hM}(B)$B$N$G(B
+ 	      $B=$@5!#(Bserow$B$5$s$N%l%]!<%H$N$*$+$2$G$9!#(B
+ 		common/multibyte.c
+ 5/24
+ 	$B:n6H(B: sizeof(size_t) != sizeof(int)$B$J%^%7%s$N$?$a$N=$@5!#(B
+ 		cl/cl_read.c
+ 4/11
+ 	$B:n6H(B: $B%]%+%_%9=$@5!#(Bthanks to dsp@aries.bekkoame.or.jp
+ 		common/multibyte.h
+ 4/10
+ 	$B:n6H(B: $B%]%+%_%9=$@5!#(B
+ 		regex/regcomp.c
+ 4/8 23:00
+ 	$B:n6H(B: canna fence$B$,$$$-$J$j2hLL2<$K$G$J$$$H$$$1$J$$$H$-$K(B
+ 	      $BB8:_$7$J$$9T$N(Brepaint$B$K9T$C$F$$$?$N$r=$@5!#(B
+ 	      canna$B4X78!"$b$&$A$g$C$H@0M}$7$J$$$H$J$"(B...
+ 		common/multi_canna.c
+ 	$B:n6H(B: $B%I%-%e%a%s%HD>$7!#(B
+ 4/6
+ 	$B:n6H(B: multi_predict_iso2022()$B$N(Bbugfix$B!#(BSS2$B$,Mh$k$HMn$A$F$$$?!#(B
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 	$B:n6H(B: autodetect=tw
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 4/4
+ 	$B:n6H(B: :r$B$7$F$+$i(Bundo$B$7$?$H$-$N(B"n lines changed"$B$NI=<($,$G$J$$$h$&$K(B
+ 		$B$G$-$J$$$+$J!"$H;W$C$?$,!"L5M}$@$C$?!#(B
+ 	$B:n6H(B: iso2022$B7O$N$H$-$N!"9TKv$N%j%;%C%HJ}K!$rJQ99!#(B
+ 		common/multi_iso2022.c
+ 	$B:n6H(B: MB_JOIN$B$N=hM}!#$-$?$J$$$>!#(B
+ 		common/multibyte.c
+ 		common/exf.c
+ 		ex/ex_read.c
+ 		ex/ex_script.c
+ 		$B2r7h(B: hz encoding$B;~$N9TO"7k$N(Bescape($B9TKv$N(B~)$B!#(B(12/26)
+ 		$B2r7h(B: iso-2022-kr$B$NFCJL07$$!#(B(4/1)
+ 			1. designation$B$O9TF,$G$d$i$M$P$J$i$J$$(B(4/2 ok)
+ 			2. designation$B$N$_$N9T$,$"$C$?$iFI$_Ht$P$5$M$P$J$i$J$$(B
+ 			   (RFC1557$B$K$O=q$$$F$J$$$1$I!"=,47>e(B)
+ 4/3 10:00
+ 	$B:n6H(B: hz$B$N9TKv%(%9%1!<%W$H(Biso-2022-kr$B$N$?$a$K$A$g$C$H$7$?=`Hw!#(B
+ 	      MB_JOIN$B$NDj5A!#$^$@=hM}$9$k$H$3$m$O=q$$$F$J$$!#(B
+ 		common/multi_iso2022.c
+ 		common/multi_hz.c
+ 		common/multibyte.h
+ 	$B:n6H(B: selcharset()$B$r(Bselcharset()$B$H(Bcallcharset()$B$KJ,3d!#(B
+ 	      $B$A$g$C$H$7$?@0F\!#(B
+ 		common/multi_iso2022.c
+ 4/2
+ 	$B:n6H(B: iso-8859-[1234789]$B$rMQ0U!#(Biso-8859-10 additions(ESC , X)$B$rDI2C!#(B
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 4/2 14:00
+ 	$B:n6H(B: iso-2022-kr$B$K$D$$$F0lIt2r7h!#(Bdesignation$B$r9TF,$KEG$/!#(B
+ 	      Thanks to Jungshik Shin <jshin@pantheon.yale.edu>
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 3/30
+ 	$B:n6H(B: euc-tw$B%5%]!<%H!#(Bcurses$BB?9q8l2=$N@)Ls$+$i(BCNS11643-1$B0J30$O2hLL$K(B
+ 	      $B=P$;$J$$$1$I!"$^$"$H$j$"$($:!#(B
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 		common/multi_euctw.c
+ 3/28
+ 	$B:n6H(B: iso-2022-cn/-ext$B$,$$$^$$$A$@$C$?$N$r=$@5!#(B
+ 	      encoding$BL>$H$7$F!"(Biso-2022-jp-2$B$H(Biso-2022-cn-ext$B$rMQ0U!#(B
+ 	      $BFbMFE*$K$O$*$J$8!#(B
+ 		common/multi_iso2022.c
+ 		common/multibyte.c
+ 	$B:n6H(B: regular/qregular$B$N6/2=!#(BISO646 character set$B$G!"Cf4VJ8;z$N(B
+ 	      $B$J$$$b$N$O$@$$$?$$%U%)%m!<!#(B
+ 	      http://www.kudpc.kyoto-u.ac.jp/~yasuoka/CJK.html$B$N$*$+$2$G$9!#(B
+ 		build/regular.in
+ 		build/qregular.in
+ 3/27
+ 	$B:n6H(B: v_fep_on()$B$H$+$r?7@_!"(Bfepctrl$B4X78$r<c43@0M}!#(B
+ 		common/multibyte.c
+ 		vi/vi.c
+ 	$B:n6H(B: qregular$B$N(Bsmall bug fix
+ 		build/qregular.in
+ 	$B:n6H(B: canna modeline$B$N(Bechoback$B$K$D$$$F$A$g$C$H:F9M!#(B
+ 		cannactrl$B$r(Bon$B$K$7$F$$$k$H$-!"(B"Pattern not found"$B$,=P$J$$!#(B
+ 		$B2r7h(B: canna modeline$B$N@)8fMW:F9M!#(B(3/24)
+ 			$B5/$3$7$F0lH/L\$N$H$-!"(Bmodelineismine == 0$B$J$N$G!"(B
+ 			$B$?$$$F$$(Bmodeline$B$,=P$J$$!#(B
+ 		common/multi_canna.c
+ 		vi/vs_refresh.c
+ 		vi/vs_msg.c
+ 3/24
+ 	$B:n6H(B: $BF~NO%b!<%I$G(Bcontrol-X$B$G(B0x80$B0J>e$NJ8;z$r$D$C$3$`$H$-$N(B
+ 	      $B=hM}$r=$@5!#(B
+ 		vi/v_txt.c
+ 3/17
+ 	$B:n6H(B: $B%-!<F~NO$N(Bmultibyte$B7OFbIt>uBV$r(Bcontrol-C$B$G%j%;%C%H$9$k$h$&$K(B
+ 	      $B$7$?!#(B
+ 	      iso-2022-*$B7O$N(Bencoding$B$r%-!<F~NO$K;H$C$F$$$F!"(BLS3$B$H$+$,(B
+ 	      $BF~$C$F$K$C$A$b$5$C$A$b$$$+$J$/$J$C$?Nc$rJ9$$$?$N$G!#(B(thanks tate)
+ 		cl/cl_read.c
+ 3/6
+ 	$B:n6H(B: configure.in$B$+$i(Bconfigure$B$r@8@.$9$s$N$rK:$l$F$$$?!#(B
+ 3/1 24:00
+ 	$BBND4:G0-(B... $B@:?@E*$K$$$^$R$H$D$J$N$GBND4La$j$c$7$J$$!#(B
+ 	$B:n6H(B: set canna cannactrl$B$7$F$$$F!"(B"/$B$"(B"$B$H$+$7$?$H$-$K!"(B
+ 	      "Pattern not found"$B$NI=<($,$G$+$C$?$N$r=$@5!#(B
+ 	      $B6qBNE*$K$O(Bcanna modeline$B$N>C5n=hM}$rD{@5!#(B
+ 	      $B$H$F$b(Bquickhack$B$G$o$+$j$K$/$$$N$GMW@0M}!#(B
+ 		common/multi_canna.c
+ 		vi/vs_refresh.c
+ 2/28
+ 	$B:n6H(B: regexp$B$N(B[^$B$"(B]$B$H$+$&$^$/$$$+$J$+$C$?$N$r=$@5!#(B
+ 	      $B$d$C$Q$j(Bregexp$B$^$o$j$O%_%9$,$"$k$J!#(B
+ 		regex/engine.c
+ 	$B:n6H(B: regexp replacement$B$N(B\1$B$H$+$,$&$^$/$$$+$J$+$C$?$N$r=$@5!#(B
+ 		regex/engine.c
+ 	$B:n6H(B: ex$B$N(B:print$B$H$+$N9TKv=hM}$,4E$+$C$?$N$r=$@5!#(B
+ 		vi/vs_msg.c
+ 2/24
+ 	$B:n6H(B: regular$B$,$"$s$^$jCY$$$N$G(Bqregular$B$rMQ0U!#(B
+ 		build/configure.in
+ 		build/qregular.in
+ 2/22 24:00
+ 	$B:n6H(B: CHAR_T$B4XO"@0M}$r<c43!#(B
+ 	$B:n6H(B: encoding$B$,$_$"$?$s$J$$$H$-$K(Bmulti_name()$B$GMn$A$F$$$?!#(B
+ 		common/multibyte.c
+ 2/21 24:00
+ 	$BESCf(B: char -> CHAR_T$B!#(BKEY_BLEN()$B$H$+$N0z?t!#(B
+ 	      KEY_BLEN()$B$H$+$NDj5A$b$A$g$C$HD>$7!#$3$l$GB-$j$k$H$$$$$J(B...
+ 		*/*.c
+ 		common/gs.h
+ 2/20
+ 	$B:n6H(B: mailing list$B2~L>!#(Bnvi-jp@dit.co.jp -> nvi-m17n@dit.co.jp
+ 		docs.m17n/README.*
+ 2/20 16:00
+ 	$B:n6H(B: bcopy()/index()$B$rGS=|!#(B
+ 		*/*.c
+ 	$B:n6H(B: $B9TKv$G%P%$%H?t$,A}$($k$h$&$J(Boverwrite$B$r$9$k$HIe$k$N$r(Bfix.
+ 	      ($BNc(B: $B9TKv$N(B"a"$B$r(B"$B$"(B"$B$G(Boverwrite)
+ 		vi/v_txt.c
+ 2/19
+ 	$BESCf(B: char -> CHAR_T$B!#$H$j$"$($:(Bisxxxxx()$B$N0z?t$H;W$o$l$k$b$N$@$1!#(B
+ 		*/*.c
+ 2/17
+ 	$B:n6H(B: recovery$B$N$H$-M>7W$K30It%3!<%I(B->$BFbIt%3!<%I$NJQ49$,M>7W$K(B
+ 	      $B5/$-$k$N$r=$@5!#$?$@$7!"$R$8$g!<$K1x$$(Bpatch$B$G$9!#(B
+ 	      (thanks for trouble report: tate@nerv.org)
+ 		common/exf.c
+ 		common/gs.h
+ 2/16
+ 	$B:n6H(B: autodetect=nantara+$B$N$H$-!"(Bctrl-G$B$G(Bfileencoding$B$,I=<($5$l$k(B
+ 	      $B$h$&$K$7$?!#(B
+ 		common/msg.c
+ 	$B:n6H(B: $B%3%a%s%H@0M}!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: :set autodetect=jp+$B$H$+$9$k$H!"(Bfileencoding$B$r(Boverwrite$B$9$k!#(B
+ 		common/multibyte.c
+ 		$B2r7h(B: elvis$B$G8@$&$H$3$m$N(B:set kfilecode=euc-jp+$B!#(B(12/24)
+ 			($B<+F0H=JL$N7k2L$G(Boption$B$r>e=q$-$9$k(B)
+ 	$B:n6H(B: autodetect$B$^$o$j$N8+D>$7!#$@$$$V$h$/$J$C$?$H;W$$$^$9$,!"(B
+ 	      iso-2022-kr/cn$B$K$D$$$F$O$A$g$C$HIT0B$@(B...
+ 		common/multibyte.c
+ 2/15
+ 	$B:n6H(B: canna fence$B$N(Bechoback$B$r@0M}!#(B
+ 		common/multi_canna.c
+ 	$B:n6H(B: JIS X0208-1983/1976$B$NC18lG'<1$,$$$^$R$H$D$@$C$?$N$G=$@5!#(B
+ 		common/multi_chclass.c
+ 2/14
+ 	$B:n6H(B: wrapmargin$B$N=hM}$r$^$H$b$K$7$?!#$3$l$G$?$V$sMn$A$J$$!#(B
+ 	      $B$?$@!"$$$$F0:n$+$I$&$+$K$OITK~$,;D$k!#(B
+ 		vi/v_txt.c
+ 		$B2r7h(B: $BF|K\8l$N(Bwrapmargin$B$K$h$k9T(Bwrap(12/21)
+ 		      $B$G$-$?$iC18l6h@Z$j$G6J$2$k(B? $B$=$3$^$G$;$s$G$($((B?
+ 2/13
+ 	$B:n6H(B: ex$B$N2hLL=PNO$N$"$H(Bdesignation$B$N%j%;%C%H$,$J$+$C$?!#(B
+ 	      $B$H$C$F$b(Bquickhack$B!"$+$DKhEYKhEY(BASCII$B$r(Bdesignate$B$9$k$N$G(B
+ 	      $B$+$C$3$o$k$$!#(B
+ 		vi/vs_msg.c
+ 2/11
+ 	$B:n6H(B: regular$B$H$$$&%D!<%k$r$D$1$?!#$3$l$G(BJIS X0201 roman$B$N(B"a"$B$H$+$r(B
+ 	      $BA4It(BASCII$B$N(B"a"$B$KD>$;$^$9!#(B
+ 		build/regular.in
+ 		$B$A$g$C$H$@$12r7h(B: JIS X0201-left$B$NJ8;z$H(BASCII$B$NJ8;z$H$+!"(B
+ 			$B8!:w$H$+$N$H$-$KF10l;k$7$?$$J8;z$O$I$&$9$l$P$$$$$+(B?
+ 	$B:n6H(B: ctext$B$GJ8;z%;%C%H$r8F$S=P$9@h$r7h$a$k%"%k%4%j%:%`$,(B
+ 	      $B4V0c$C$F$?$N$G=$@5!#(B
+ 	      $B9TKv$N(Bdesignation$B$N=hM}(B(eolreset)$B$r=$@5!#(B
+ 	      ctext$B$N>l9g$N$h$&$K!"(BESC $ ( B$B$G(BJIS X0208-1983$B$r8F$S=P$9(B
+ 	      $B$b$N$KBP1~$7$?=hM}$rDI2C(B(nooldstyle$B$r(Bgrep$B$9$k$H$o$+$k(B)$B!#(B
+ 		common/multi_iso2022.c
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 2/7
+ 	$B:n6H(B: W$B$H(BB$B$NF0:n(B($BFC$K(Bcount$B$rM?$($?$H$-!"(BASCII$B$H$=$l0J30$,:.$6$C$F$k(B
+ 	      $B$H$-(B)$B$,%X%s$@$C$?$N$rD>$7$?!#(B
+ 		vi/v_word.c
+ 2/5
+ 	$B:n6H(B: canna_echoback()$B$N%_%9=$@5!#2hLL0lHV2<9T$rM>7W$K(Bredraw$B$7$F$$$?!#(B
+ 		common/multi_canna.c
+ 	$B:n6H(B: tab$B$N>e$N1&0\F0$,%X%s$@$C$?$N$r2~A1!#(B
+ 		vi/vs_refresh.c
+ 	$B:n6H(B: showmatch$B$N$H$-$N(Bcanna fence$B$N:FI=<($r2~A1!#(B
+ 	      canna_echoback()$B$,D6J#;($K$J$C$F$-$^$7$?!#:$$C$?$>!#(B
+ 		cl/cl_read.c
+ 		common/multi_canna.c
+ 		$B2r7h(B: set showmatch$B$7$F$k>l9g!"3g8L$NBP1~I=<(Cf$K(B
+ 		      $B%-!<F~NO$9$k$H!"(Bfence$B$,3+$-3g8L$N>e$KI=<($5$l$k!#(B(2/4)
+ 2/5 11:00
+ 	$B:n6H(B: v_replace()$B$NCf$NJQ?tL>%P%C%F%#%s%0$r2r7h!#(B(mblen)
+ 		vi/v_replace.c
+ 	$B:n6H(B: canna_on/off$B4X78$r$b$&$A$g$C$HD4@0!#(Bfepkey$B$K;XDj$5$l$F$$$J$$(B
+ 	      $B%3%^%s%I$N=hM}$r$J$a$i$+$K!#(B
+ 		vi/vi.c
+ 	$B:n6H(B: range$B;XDj$K(B"/"$B$H$+$r;H$&$H2hLL$,Jx$l$F$$$?$N$rD>$7$?!#(B
+ 		vi/v_search.c
+ 	$B:n6H(B: $B2hLL$$$A$P$s2<$N9T$GD9$9$.$k(Bfence$B$r=P$7$?$H$-$K2hLL$,(B
+ 	      $BIe$C$F$$$?$N$G=$@5!#(B
+ 		common/multi_canna.c
+ 		$B2r7h(B: canna$B4XO"(B: fence$B$,D9$9$.$k$H$-$NBP=h(B(2/3)
+ 	$B:n6H(B: :r$B$7$?$H$-$K@9Bg$KJ8;z2=$1$9$k$N$r=$@5!#$?$@$7!"$A$g$C$H(B
+ 	      $B!VF($2!W$G$9!#(B
+ 		ex/ex_read.c
+ 2/4 15:00
+ 	$B:n6H(B: $B4A;z$rH>J,$@$1=q$-DY$9$H$-$N=hM}$rDI2C!#(B
+ 	      $B$6$C$/$j=q$-49$($F$7$^$$$^$7$?!#(B
+ 		curses/addbytes.c
+ 	$B:n6H(B: configure$B$N(Bcanna$B4XO"$rD>$7!#(B
+ 		build/configure.in
+ 2/3 26:00
+ 	$B:n6H(B: $BH?E>$7$?9T$N%9%/%m!<%k$N$H$-$K!"(Bmultibyte$B4XO"$N>pJs$,(B
+ 	      $B$4$C$=$j>C$($F$$$?$N$r=$@5!#$?$@$7!"0\?"@-$N$3$H$r9M$($J$$(B
+ 	      $B5-=R$K$J$C$F$$$k$N$G$"$H$GD>$9$Y$7!#(Bcl_deleteln()$B$M!#(B
+ 		cl/cl_funcs.c
+ 	$B:n6H(B: $B4A;z$rH>J,$@$1=q$-DY$9$H$-$N=hM}$rDI2C!#%(%s%P%0$3$$$F$?$N$G(B
+ 	      $B$A$g$$=$@5!#(B
+ 		curses/addbytes.c
+ 	$B:n6H(B: fence$B$,2hLL:8C<$r1[$($?$H$-$N=hM}!#(Bcolon mode$B$G$b$A$c$s$H(B
+ 	      fence$B$,2hLL2<$KF($2$k!#D9$9$.$k(Bfence$B$O$^$@$@$a$M!#(B
+ 		common/multi_canna.c
+ 2/3 21:00
+ 	$B:n6H(B: fence$B$,2hLL:8C<$r1[$($?$H$-$N=hM}!#2hLL:G2<9T$K0\$k!#(B
+ 	      $B$b$H$b$H:G2<9T$K$$$k$H$-$O$I$&$7$h$&$+$J$"!#(B
+ 		common/multi_canna.c
+ 		vi/vs_refresh.c
+ 	$B:n6H(B: $B4A;z$rH>J,$@$1=q$-DY$9$H$-$N=hM}$rDI2C!#7k9=BgNL$K(B
+ 	      $B=q$-49$($F$7$^$$$^$7$?$,!"F1$80UL#$N$3$H$r=q$-D>$7$F(B
+ 	      $B$$$k$@$1$J$N$GLdBj$O$J$$$O$:$G$9!#(B
+ 		curses/addbytes.c
+ 	$B:n6H(B: canna$B4X78!#(Bfence$B$,(Bon$B$N:GCf!"(Bcontrol-O$B$,(Bcanna$BB&$KEO$C$F(B
+ 	      $B$$$J$+$C$?(B($BJ8@a$,?-$P$;$J$$(B)$B!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: canna$B4X78!#(BjrKanjiString()$B$NJV$jCM$K$D$$$FLdBjE@$,$"$C$?$N$G(B
+ 	      $BD>$7!#(Bks.length == -1$B$N$H$-$N=hM}$rK:$l$F$?!#(B
+ 	      $BB>$N$3$H$O$@$$$?$$(Bclient$BB&$O(Bstateless$B$G$$$$$N$K!"$3$3$@$1(B
+ 	      $B$A$g$C$H(Bstateful$B$J$N$M!"(Bfence$B$NJ8;zNs3P$($H$+$J$$$H(B
+ 	      $B$$$1$J$$$+$i!#(Bechoback$B$5$\$k=hM}$O(Bclient$BB&$G$b$d$l$k$+$i!"(B
+ 	      stateless$B$G$"$C$FM_$7$+$C$?!#(B
+ 		common/multi_canna.c
+ 	$B:n6H(B: canna$B$N(Bcontrol-C$BBP:v$N%_%9$r=$@5!#(B
+ 		cl/cl_read.c
+ 	$B:n6H(B: fepkey$B$NK:$l$F$?$H$3$m=$@5!#(Brange$BF~NO$N:]$N(Bcanna_on/off$B!#(B
+ 		vi/vi.c
+ 2/2 26:00
+ 	$B:n6H(B: configure.in$B$N8+D>$7!#(BFreeBSD$B$H$+!"%G%#%l%/%H%jL>$N(Bprefix$B$,(B
+ 	      $B0c$&$d$DBP:v$H$+$=$N$[$+!#(B
+ 		build/configure.in
+ 2/2 22:00
+ 	$B:n6H(B: cannakey$B$NJQ99!#0JA0$O!V(Bcontrol-O$B$K$9$k$J$i(B"O"$B!W$@$C$?$,!"(B
+ 	      $B4JC1$N$?$a(Bcontrol-O$B$H$+$r$=$N$^$^;XDj$7$F$b$i$&$3$H$K$7$?!#(B
+ 	      ($B$H$$$&$+!"(B:set filec$B$H$+$b$=$N$^$^;XDj$J$N$G(B)
+ 		common/options.c
+ 		common/multibyte.c
+ 	$B:n6H(B: fepkey$B4X78$ND4@0!#7k9=$+$o$$$/F0$/$>!#(B
+ 		:set fepkey="?/aioAIOcCrRtfTF"
+ 	      $B$H$+$$$&L5Cc$7$F$bJ?5$!#(B
+ 		common/options.c
+ 		vi/v_txt.c
+ 		vi/vi.c
+ 	$B:n6H(B: canna$BMxMQCf$K(Bcontrol-C$B$,2!$5$l$?$H$-$NF0:n$rJQ99!#(B
+ 	      control-C$B$,Mh$k$H(Bcanna_force_off()$B$7$^$9!#(B
+ 		cl/cl_read.c
+ 		common/multi_canna.c
+ 	$B:n6H(B: canna$B4XO"$N:FIA2h$r%A%'%C%/!#$3$l$G$+$J$j40`z$G$7$g$&!#(B
+ 		common/multi_canna.c
+ 	$B:n6H(B: curses$B$N(Bmultibyte$B2=$NBg%]%+$r=$@5!#A4A3=i4|2=$,B-$j$J$+$C$?(B...
+ 	      $B$^$"L5BL$KIA2h$9$k$@$1$G<B32$J$+$C$?$N$O$5$$$o$$!#(B
+ 		curses/*.h
+ 		curses/*.c
+ 	$B:n6H(B: $BJ8;z$r0z?t$K$H$k%3%^%s%I(B(r$B$H$+(Bf$B$H$+(Bt$B$H$+(B)$B$N(Bmultibyte$BBP1~!#(B
+ 		vi/v_ch.h
+ 		vi/v_init.c
+ 		vi/v_replace.h
+ 		vi/vi.c
+ 		vi/vi.h
+ 		$B2r7h(B: f$B$H$+(Bt$B$H$+(B(multibyte$BJ8;z$O8!:w$G$-$J$$(B) (11/25)
+ 	$B:n6H(B: vi$B%3%^%s%I%b!<%I$G(Bmultibyte$BJ8;z$r$D$C$3$s$@$H$-$K$O$M$k(B
+ 	      $B$h$&$K$7$?!#(B
+ 		vi/vi.c
+ 	$B:n6H(B: $B:n6HK:$l$N=$@5!#%+!<%=%k0\F0A0$K(BASCII$B$KLa$9$NK:$l$F$?!#(B
+ 		curses/refresh.c
+ 	$B:n6H(B: :set searchincr$B$N$H$-$NF0:n$N=$@5!#(B
+ 		vi/v_txt.c
+ 	$B:n6H(B: word erase(control-W)$B$N(Bmultibyte$BBP1~!#(B
+ 		vi/v_txt.c
+ 2/2 12:00
+ 	$B:n6H(B: canna$B%5%]!<%H!#$$$m$$$m:$$C$?$A$c$s$J$H$3$m$O;D$C$F$$$k$N$G!"(B
+ 	      multi_canna.c$B$G$b8+$F$/$@$5$$!#(B
+ 		common/multi_canna.c
+ 		common/multibyte.c
+ 		common/options.c
+ 		common/options_f.c
+ 		vi/v_txt.c
+ 		vi/vi.c
+ 		vi/vs_refresh.c
+ 2/1
+ 	$B:n6H(B: $B9T$N@^6J$2=hM}$KIT40A4$J$H$3$m$,$"$C$?$N$G=$@5!#(B
+ 		vi/vs_line.c
+ 1/30
+ 	$BESCf(B: wrapmargin$B$KD)@o!#$^$@IT40A4$J$N$G$H$-$I$-Mn$A$k!#(B
+ 	      $B<+J,$G$"$^$j;H$o$J$$%*%W%7%g%s$J$N$G5$9g$$$,F~$i$J$$!#(B
+ 		vi/v_txt.c
+ 1/29
+ 	$B:n6H(B: $B:G6a%P%0%l%]$b$J$$$N$G(Bpublic release$B$7$F$_$k!#(B
+ 1/14
+ 	$B:n6H(B: encoding$B$H$7$F(Bctext$B$r$$$l$^$7$?!#;EMM=q$,$J$$$s$G$9$,(B
+ 	      $BC/$+;}$C$F$J$$(B?
+ 	      ESC $ @$B$H$+$r(BESC $ ( @$B$K$7$J$$$H$$$1$J$$$i$7$$$s$G$9$,$=$3$O(B
+ 	      $B$d$C$F$$$^$;$s!#(B
+ 	      $B8=>u$@$H(BG1(GR)$B$O(B96 charset$B$K$7$+;H$o$l$J$$$1$I$3$l$G$$$$$N$+$J(B?
+ 		common/multi_iso2022.h
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 1/10
+ 	$B:n6H(B: :set leftright$B$N2~A1!#$"$H$b$&$9$3$7$+$J!#(B
+ 		vi/vs_refresh.c
+ 		vi/vs_relative.c
+ 	$B:n6H(B: iso-2022 7bit encoding$B$N$H$-!"(BCS_RAW$B$N%G!<%?$r=q$-=P$=$&$H$9$k$H(B
+ 	      $BMn$A$F$?$N$r=$@5!#(B
+ 		common/multi_iso2022.c
+ 1/9
+ 	$B:n6H(B: $B7?$K6KNO(Bconst$B=$>~;R$r$D$1$?!#(B
+ 		common/multi*
+ 		$B2r7h(B: multibyte.c$B$NCf$N%]%$%s%?$r$?$@$7$/(Bconst char *$B$H$+$K(B
+ 		      $BD>$9(B(1/6)
+ 1/4 27:00
+ 	$B:n6H(B: :set autodetect=cn$B$N$H$-$K!"(Bhz$B$NG'<1$rDI2C!#(B
+ 	      :set autodetect=cn	$BCf9q8lMQ(B(euc-cn/big5/others)
+ 		common/multibyte.c
+ 1/4 26:00
+ 	$B:n6H(B: autodetect$B$N;EMMJQ99!#9qJL$N@_Dj(B($BJ8;zNs$G(B)$B$K$7$?!#(B
+ 	      $B$d$C$Q$j(Beuc-cn$B$H(Bbig5$B$O6hJL$9$s$N$[$\L5M}$@!#(B
+ 	      :set autodetect=jp	$BF|K\8lMQ(B(euc-jp/sjis/others)
+ 	      :set autodetect=cn	$BCf9q8lMQ(B(euc-cn/big5/others)
+ 	      :set autodetect=kr	$B4Z9q8lMQ(B(euc-kr/others)
+ 	      :set autodetect=$B$=$l0J30(B	autodetect$B$7$J$$(B
+ 		common/exf.c
+ 		common/multibyte.c
+ 		common/options.c
+ 		ex/ex_read.c
+ 		ex/ex_script.c
+ 1/4 16:00
+ 	$B:n6H(B: $B2hLL$N(Brefresh$B$^$o$j$r@0M}!&:F%A%'%C%/!#$@$$$V$s$^$H$b$K$J$C$?$H(B
+ 	      $B;W$$$^$9!#(B:set leftright$B$O$^$@$h!#(B
+ 		vi/vs_line.c
+ 		vi/vs_refresh.c
+ 	$B:n6H(B: quail$B$b$I$-<B83Cf$N%P%0$H$j!#(Bxxx_keyinput$B$H$N%$%s%?%U%'!<%9LdBj!#(B
+ 		cl/cl_read.c
+ 	$B:n6H(B: quail$B$b$I$-<B83Cf!#I8=`G[I[$N>uBV$G$O(Bcompile in$B$5$l$^$;$s!#(B
+ 	      $B<j$G(Bmakefile$B$H%=!<%9$r$$$8$C$F$M!#$3$s$J$N<{MW$"$k$N$+$J!#(B
+ 	      $B$=$3$=$3$@$,(B1$BBP(B1$B0J>e$N(Bmapping$B$O?I$$$>!#(B
+ 		common/test/multi_quail.c
+ 1/3
+ 	$B:n6H(B: :set inputencoding$B$"$?$j$N%(%i!<%A%'%C%/6/2=!#(B
+ 		common/options_f.c
+ 		common/multibyte.c
+ 	$B:n6H(B: canna$BAH$_9~$_<B83Cf!#I8=`G[I[$K$OF~$C$F$^$;$s!#(B
+ 	      $B$d$C$Q$j(Binput method$B$O30$NJ}$,$$$$$h$&$J5$$,$9$k!#(B
+ 	      $B$$$m$s$J0UL#$G!#$H$$$&$o$1$GESCf$^$G$7$+$d$i$:$KCf;_!#(B
+ 	$B:n6H(B: abbrev$B$r(Bmultibyte$BJ8;z$N6a=j$G$d$C$F$bH/68$7$J$$$h$&=$@5!#(B
+ 		vi/v_txt.c
+ 1/2
+ 	$B:n6H(B: displayencoding$B$r(Bglobal option$B$KJQ99!#(B
+ 		common/gs.h
+ 		common/options.c
+ 	$B:n6H(B: multibyte$B$N@55,I=8=!"(Brange$B;XDj!#(B
+ 		regex/regcomp.c
+ 		regex/engine.c
+ 1/1
+ 	$B:n6H(B: $B$J$s$H!"@55,I=8=8!:w$K4X$7$F$O(Brange$B;XDj$HC18l6h@Z$j0J30(B
+ 	      $B$@$$$?$$$G$-$F$$$k$3$H$,H=L@$7$?(B(:set extended$B$;$:$K;n$7$F$$$?(B)$B!#(B
+ 	      $B$d$C$?$<!#(B
+ 	$B:n6H(B: common/multibyte.c$B$,$G$+$$$N$GJ,3d!#$D$$$G$K(Bcharset$BL>$N(B
+ 	      #define$B4X78$r<+F0@8@.2=!#$A$g$C$H%=!<%9J,$1$9$.$?(B?
+ 	      multi_chclass.c$B$@$1J,$1J}$,(Bencoding$B$8$c$J$$$N$,5$$K$J$k$1$I(B
+ 	      $B$^$"$$$$$+!#(B
+ 		build/distrib
+ 		common/multi_big5.c
+ 		common/multi_chclass.c
+ 		common/multi_euc.c
+ 		common/multi_eucjp.c
+ 		common/multi_hz.c
+ 		common/multi_iso2022.c
+ 		common/multi_none.c
+ 		common/multi_sjis.c
+ 		common/multibyte.awk
+ 		common/multibyte.c
+ 		common/multibyte.h
+ 		include/multibyte_def.h
+ 	$B:n6H(B: korean(KSC5601)$B$NC18l0\F0!#;n$7$F$J$$$>!#(B
+ 		common/multibyte.c
+ 12/31 30:00
+ 	$B$"$1$^$7$F$*$a$G$H$&$4$6$$$^$9!#?7G/(B(1:00AM)$B$N;MC+1X$N%[!<%`$G(Bhack
+ 	$B$9$k2x$7$$$R$H$G$9!#(B
+ 
+ 	$B:n6H(B: big5$B%5%]!<%H!#B?J,F0$/$H;W$&$1$I!";n$7$h$&$,$J$$!#(B
+ 	      iso-2022-*$B$N$H$-$N(Bencoding$B$HFbItI=8=$O(Bmule$B$H9g$o$;$F$"$j$^$9!#(B
+ 	      ("ESC $ ( 0"$B$H(B"ESC $ ( 1")
+ 	      big5$B$b<+F0H=JLBP>]$K$7$F%m%8%C%/$O=q$$$F$"$j$^$9$,!"B?J,H=JL(B
+ 	      $B$9$s$N$OFq$7$$$G$7$g$&!#FC$KC;$$J8=q$N$H$-!#(B
+ 		$B2r7h(B: big5$B$OI,MW!#(B(12/27)
+ 		common/multibyte.c
+ 12/30 25:30
+ 	$B:n6H(B: $B$?$$$7$?$3$H$8$c$J$$$1$I!"(B:ver$B$G%P!<%8%g%s$,$G$k$h$&$K$7$?!#(B
+ 		ex/ex_version.c
+ 		ex/mversion.h
+ 	$B:n6H(B: :script$B$N(Bmultibyte$BBP1~!#(B:script$B$C$F=i$a$FCN$C$?$s$@$1$I!"(B
+ 	      $B$9$2$(2wD4!#$3$j$c$($($o!#$d$a$i$l$^$X$s!#(B
+ 	      $B$3$N$?$a$K(Bmulti_ext2int_region()$B$N%$%s%?%U%'!<%9$r<c43JQ$($?!#(B
+ 		common/multibyte.c
+ 		common/exf.c
+ 		ex/ex_read.c
+ 		ex/ex_script.c
+ 	$B:n6H(B: :global$B$r(Bmultibyte$BBP1~!#(B
+ 		ex/ex_global.c
+ 12/30 20:00
+ 	$B:n6H(B: multibyte$BJ8;z$N@55,I=8=8!:w$r$A$g$C$H$E$D$d$C$F$^$9!#$H$j$"$($:(B
+ 	      "."$B$O(Bmultibyte$BJ8;z$R$H$b$8$H(Bmatch$B$7$^$9!#(B
+ 	      multibyte$BJ8;z$N>e$r(Brange$B;XDj$GF'$s$G$bH/68$7$^$;$s!#(B
+ 	      word$B6-3&G'<1$r$7$h$&$H$9$k$HH/68$9$k$O$:$G$9!#(B
+ 	      patch$B$O$H$C$F$b1x$$$>!#(B
+ 		regex/regcomp.c
+ 		regex/engine.c
+ 		regex/regex2.c
+ 	$B:n6H(B: multibyte$BJ8;z$N8!:w(B/$BCV49(B(vi$B$G8@$&(B"/"$B$H(B"?")$B!#@55,I=8=$O$^$@%J%7$M!#(B
+ 	      $B$D$$$G$K!"(Brange$B;XDj$K(Bmultibyte$BJ8;z;H$C$F$bJ?5$!#(B
+ 		common/search.c
+ 		ex/ex.c
+ 		ex/ex_subst.c
+ 		regex/regcomp.c
+ 	$B:n6H(B: $B%U%!%$%k$N(Bencoding$B<+F0H=JL$r$A$g$C$H2~A1!#(B
+ 		common/multibyte.c
+ 12/29
+ 	$B:n6H(B: $BHFMQ(Biso-2022-*$B%-!<%\!<%IF~NO!#%-!<%\!<%IF~NO%3!<%I$NJQ49$O(B
+ 	      event manager$BIt$KFM$C9~$^$l$^$7$?!#(B
+ 	      iso-2022-jp$B0J30$G;n$7$F$$$^$;$s!#$$$B$a$F$_$F$/$@$5$$!#(B
+ 	      $B$"!"$=$&$=$&!"(Bcontrol-N/O$B$O>o$K?)$o$l$A$c$&(B(SO$B$H(BSI$B$@$b$s$M(B)$B$N$G!"(B
+ 	      vi command$B%b!<%I$G(Bcontrol-N$B$H$+$rBG$C$F$b!"(Bvi$B$N%3%^%s%I$H$O(B
+ 	      $BG'<1$5$l$^$;$s!#(BSO/SI$B2r<a$9$k$N$d$a$h$&$+$J(B...
+ 		$B2r7h(B: $B%-!<F~NO$N(Bmultibyte$BBP1~:F9M(B (12/21)
+ 			keyboard event engine$B$KFM$C9~$^$J$$$H(Biso-2022-*$B$N(B
+ 			$B$H$-$KGKC>$9$k(B?(ESC$B$N%O%s%I%j%s%0(B)
+ 		cl/cl.h
+ 		cl/cl_read.c
+ 		cl/cl_main.c
+ 		common/key.c
+ 		common/multibyte.c
+ 		common/options_f.c
+ 		vi/v_key.c
+ 		vi/ex_key.c
+ 12/28 26:30
+ 	$B:n6H(B: $B%I%-%e%a%s%H$N99?7!#(B
+ 12/28 15:30
+ 	$B:n6H(B: curses$B$NE0Dl(Bmultibyte$BBP1~!#(Bsjis$B$G(Bx0201 kana$B$b;H$($k$>!#(B
+ 	      $B>\:Y$O(Bcurses/README.jnvi$B;2>H!#(B
+ 		$B2r7h(B: curses$BB&$N9TKv=hM}$,$^$@$J$N$G$H$-$I$-2=$1$k!#(B(12/27)
+ 		$B2r7h(B: curses$B$N(Bmultibyte$B=hM}(B(12/1)
+ 			curses$B$KEO$9J8;zNs$O$I$&%(%s%3!<%I$9$k$Y$-$+(B?
+ 			$B$"$k$$$O(Bstandout()$B$_$?$$$KJL4X?t(B?
+ 		curses/README.jnvi
+ 		curses/addbytes.c
+ 		curses/box.c
+ 		curses/cr_put.c
+ 		curses/curses.h
+ 		curses/insch.c
+ 		curses/refresh.c
+ 	$B:n6H(B: multi_name()$B$r$A$g$C$H=q$-D>$7!#(Beuc/sjis$B$N%5%]!<%H$re:No$K!#(B
+ 	      :set skipdisplay$B$G(B"?"$B$G$NI=<($N@ZBX$(!#(B
+ 		$B2r7h(B: multi_name()$B$NCf$GF|K\8l$@$1$:$k$7$F$$$k!#(B(12/27)
+ 			x0208.1973$B$H(Bx0208.1983$B$rN>J}I=<($G$-$k$h$&$K$J$C$F$$$k!#(B
+ 		common/multibyte.c
+ 		common/options.c
+ 12/27
+ 	kinput2$B$r(Binstall$B$7$J$*$7$?$N$G!"$H$&$H$&$3$N%3%a%s%HJ8<+BN$b(B
+ 	jnvi$B$G=q$$$F$^$9!#(B
+ 
+ 	$B:n6H(B: curses$B$N(Biso-2022-*$BBP1~(B($B2>(B)$B!#$J$s$G$b(BG0$B$K(Bdesignate$B$7$F$7$^$$$^$9!#(B
+ 	      $B$"$o$;$F2hLL=PNO$N(Biso-2022-*$B2=!#(B
+ 	      curses$B$G(Biso-2022-*$B$r;H$&$H$-$O!"%(%9%1!<%W%7!<%1%s%9$HJ8;z$r(B
+ 	      $B0l5$$K(Baddnstr()$B$7$J$$$H$&$^$/F0$-$^$;$s!#Cm0U!#(B
+ 		curses/addbytes.c
+ 		curses/refresh.c
+ 		curses/cr_put.c
+ 		common/multibyte.c
+ 	$B:n6H(B: curses$B$N(Beuc 2byte$BBP1~ITB-$ND>$7!#F|K\8l$N>l9g%P%$%H$a$+$r(B
+ 	      $B5-O?$7$F$*$+$J$$$H$"$H$GLLE]!#(B
+ 		curses/addbytes.c
+ 		curses/refresh.c
+ 	$B:n6H(B: vs_msg()$B$N(Bmultibyte$BBP1~!#(B
+ 	      multi_name()$B$N%?%$%_%s%0$r$:$i$7$?!#(Bprintf()$B$^$?$O(Baddnstr$B$9$k(B
+ 	      $B$H$-$^$G2f!9$N(Bencoding$BJ}<0$G;}$C$F$$$/(B
+ 		$B2r7h(B: vi$B$+$i(B:p$B$7$?$H$-$N=hM}!#(B(12/27)
+ 			vs_msg()$B$H0l=o$G!"(B2$BEY(BKEY_NAME()$B$9$k$3$H$K$J$k!#(B
+ 			$B%?%A0-$$!#(B
+ 		$B2r7h(B: vs_msg()$B$N(Bmultibyte$BBP1~(B (12/1)
+ 			ex_print()$B$H(Bvs_msg()$B$H(B2$B2s(BKEY_NAME()$B$rDL$k$N$G(B
+ 			$B%?%A$,0-$$(B
+ 		cl/cl_funcs.c
+ 		common/multibyte.c
+ 		ex/ex_print.c
+ 		vi/vs_line.c
+ 		vi/vs_msg.c
+ 	$BESCf(B: vs_msg()$B$N(Bmultibyte$BBP1~(B(12/1)
+ 	$B:n6H(B: indentation$B$ND4@0$r$9$k$HMn$A$k%P%0$r=$@5!#(B
+ 	      $B<B$OC1$J$k$R$H$b$8(Btypo$B$@$C$?(B...
+ 		vi/v_txt.c
+ 	$B:n6H(B: ex$B$N%F%-%9%HF~NO(B(:append$B$H$+(B)$B$r(Bmultibyte$BBP1~!#(B
+ 	      inputencoding$B$K=>$$$^$9!#(B
+ 		ex/ex_txt.c
+ 	$B:n6H(B: iso-2022-jp2$B$G$O(Blatin1$B$J$I$N(B96 charsets$B$O(BG2$B$K(Bdesignate
+ 	      $B$9$k$h!<$K!"$H=q$$$F$"$j$^$7$?!#8+Mn$H$7$F$?!#(B
+ 	      $B$3$l$K=>$&$h$&!"(Biso2022jp$B4XO"$N=hM}$rJQ99!#(B
+ 	      12/27 13:00$BHG$N(BREADME.jnvi$B$K$O13$,$"$j$^$7$?!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: 0x8e/0x8f(single shift G2/G3)$B$N$"$H$O(B8bit$B$a$r$_$J$$!"$C$F$3$H$O(B
+ 	      GL/GR$B$NN>J}$K(BG2($B$^$?$O(BG3)$B$,E=$i$l$k$s$G$9$M!#$U!<$`!#(B
+ 		common/multibyte.c
+ 12/27 13:00
+ 	$B:n6H(B: $B%G%U%)%k%H$N(Bencoding$B$r(Bconfigure$B$N%Q%i%a%?$KDI$$=P$7!#(B
+ 	      $BA4$F$N(Bencoding(input/display/file)$B$N%G%U%)%k%HCM$,1F6A$5$l$^$9!#(B
+ 	      $BJL$K(Beuc-*$B0J308@$C$F$b$$$$$1$I!"I=<($G$-$J$$$+$i$M!#(B
+ 		% ./configure --enable-multibyte	(euc-jp$B$K$J$k(B)
+ 		% ./configure --enable-multibyte=euc-kr
+ 		% ./configure --enable-multibyte=euc-jp
+ 		% ./configure --enable-multibyte=euc-cn
+ 		build/configure.in
+ 		build/config.h.in
+ 		common/multibyte.h
+ 	$B:n6H(B: euc-jp/cn/kr$B$NI=<($r%5%]!<%H!#(B
+ 		common/multibyte.c
+ 12/26 24:00
+ 	$B:n6H(B: euc-jp/cn/kr$B$N%-!<%\!<%IF~NO$r6&DL2=!#(B
+ 	      :set inputencoding=euc-jp		$B%-!<F~NO$O(Beuc-jp
+ 	      :set inputencoding=euc-cn		$B%-!<F~NO$O(Beuc-cn
+ 	      :set inputencoding=euc-kr		$B%-!<F~NO$O(Beuc-kr
+ 		common/multibyte.c
+ 	$B:n6H(B: euc-jp/cn/kr$B$N(Bfile conversion$B$r(Biso-2022-*$B$N0lIt$H$7$F0lHL2=!#(B
+ 	      $B6qBNE*$K$O!"(BSS2/SS3$B$r(Biso-2022-*$B$G(Bhandle$B$G$-$k$h$&$K$7$?!#(B
+ 	      selcharset()$B$O$P$C$A$$$N$G$b$&$9$3$7$^$H$b$K$7$?$$(B...
+ 		common/multibyte.c
+ 12/26 20:00
+ 	$B:n6H(B: $B<+F0H=JL$N6/2=(B
+ 	      hz/sjis/iso-2022-jp/iso-2022-kr/iso-2022-cn/euc-jp$B$,6hJL$G$-$k!#(B
+ 	      iso-2022-*$B$O(BSI/SO/SS2/SS3$B$N$G$+$?$G6hJL$7$F$^$9!#(B
+ 	      $B$$$^$OFI$_9~$s$@HO0OA4It(Bparse$B$7$F$k$N$G$9$,!"$"$?$^(B10$B9T$/$i$$$K(B
+ 	      $B8:$i$7$F$b$$$$$G$9!#$O$$!#(B
+ 	      iso-2022-kr$B$O$"$^$j<+?H$J$7!#(B
+ 	$B:n6H(B: iso2022$B%Q!<%5$NE0Dl=q$-D>$7!#(B
+ 	      - $B9TKv$r1[$($F>uBV$N;D$k(Bencoding$B$KBP1~(B(iso-2022-kr)
+ 	      - G0/G1/G2/G3$BA4It;H$&$h$&$J(Bencoding$B$KBP1~(B(iso-2022-cn)
+ 	      - $B=q$1$J$$(Bcharset$B$NJ8;z$,$G$FMh$?;~$K%U%i%0$r$?$F$k(B
+ 		      (:w$B$7$?$H$-!"=q$1$J$$(Bcharset$B$,$G$G$?$i7Y9p$7$h$&$+(B?)
+ 	      - SS2/SS3 (ESC N$B$H(BESC O)$B$rFI$a$k(B
+ 	      - $B$=$N$[$+$?$/$5$s(B
+ 	      $B7k2L$H$7$F!"0J2<$,;H$($^$9!#(Blatin*$B$H$+$O$^$@$^$@A}$d$;$k$>!#(B
+ 	      iso-2022-7-2$B$H$+$O0UL#$,$I$l$@$1$"$k$+$h$/$o$+$i$J$$!#(B
+ 	      $B8=:_$O%m%8%C%/$,0-$$$N$G!"2DG=$J$b$N$OA4It(BG0$B$K(Bdesignate
+ 	      $B$5$l$A$c$$$^$9!#$I$&$9$j$c$$$$$s$@$+!#(B
+ 			:set fileencoding=none
+ 			:set fileencoding=euc-jp
+ 			:set fileencoding=euc-cn
+ 			:set fileencoding=euc-kr
+ 			:set fileencoding=latin1
+ 			:set fileencoding=latin2
+ 			:set fileencoding=iso-2022-7-1		7bit$B!"(BG0$B$N$_(B
+ 			:set fileencoding=iso-2022-7-2		7bit$B!"(BG0/G1
+ 			:set fileencoding=iso-2022-8-2		8bit$B!"(BG0/G1
+ 			:set fileencoding=iso-2022-cn		7bit$B!"(BG0-3
+ 			:set fileencoding=iso-2022-jp		7bit$B!"(BG0$B$N$_(B
+ 			:set fileencoding=iso-2022-kr		7bit$B!"(BG0/G1
+ 			:set fileencoding=sjis
+ 			:set fileencoding=hz
+ 
+ 		$B2r7h(B: ISO-2022-*$B7O$N=PNO$O@5$7$$$1$I@)Ls$,4K$9$.(B(12/24)
+ 			$B$b$C$H$$$m$$$m@)Ls$+$1$i$l$F$b$$$$$N$G$O(B?
+ 			- ISO-2022-JP/2$B$r<i$C$F$$$J$$(B(ESC $ B$B$8$c$J$/$F(B
+ 			  ESC $ ( B$B$,$G$k(B)
+ 		$B2r7h(B: multi_*$B$r8F$V$H$-$NFbIt>uBV$r30$K=P$9!#(B(12/23)
+ 			$B9T$r$^$?$$$G(Bdesignation$B$N>uBV$,;D$k%3!<%I7O$N(B
+ 			$B%5%]!<%H$KI,MW!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: :set autodetect$B$rJ,N%!#$h$C$F!"(B:set fileencoding=euc-jp*$B$N(B
+ 	      $B$+$o$j$K!"(B:set fileencoding=euc-jp$B$7$F!"(B:set autodetect
+ 	      $B$7$F$/$@$5$$!#(B
+ 		common/multibyte.c
+ 		common/options.c
+ 		common/options_f.c
+ 12/25
+ 	$B:n6H(B: hz$B%Q!<%5$r:n@.!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: euc$B%Q!<%54XO"$r@0M}!#(Beuc-jp/euc-kr/euc-cn$B$r$D$1$k!#(B
+ 	      (euc-tw$B$O$A$g$C$HBT$C$F(B)
+ 		common/multibyte.c
+ 	$B:n6H(B: :set noleftright$B$N$H$-$N9TKv$r1[$($k9T$N9TKv=hM}(B
+ 	      $B$A$g$$$HCn$H$j!#(B
+ 		vi/vs_line.c
+ 		vi/vs_refresh.c
+ 		vi/vs_relative.c
+ 	$B:n6H(B: $BHs(Bascii/contro$BJ8;z$N%+!<%=%k@)8f$rJQ99!#%+!<%=%k$O:8C<$K>h$k!#(B
+ 		$B2r7h(B: $BHs(Bascii$B$GHs(Bcontrol$BJ8;z$N>l9g(B($B4A;z$H$+%O%s%0%k$H$+(B)$B!"(B
+ 			$B%+!<%=%k$rJ8;z$N:8C<$K(B(12/25)
+ 		vi/vs_line.c
+ 		vi/vs_refresh.c
+ 		vi/vs_relative.c
+ 12/24 24:00$B0J9_(B
+ 	$B:n6H(B: R$B%3%^%s%I$N(Bmultibyte$BBP1~!#(B
+ 		$B2r7h(B: R$B%3%^%s%I$N(Bmultibyte$BBP1~!#(B(12/23)
+ 			v_txt.c$B$N(Bv_Rresolve()$B$NCf$r(Bmultibyte$BBP1~$9$k$N$,(B
+ 			$B$H$F$b$a$s$I$/$5$$!#(B
+ 		vi/v_txt.c
+ 	$B:n6H(B: $B%U%!%$%kF~=PNO%3!<%I$N<+F0H=JL(B
+ 	      recovery/logging$B4X78$N:Y$+$$%_%9$r=$@5!#@0M}!#(B
+ 	      $B5$$E$$$?$3$H(B: file_init()$B$NCf$G$O(Bdb_get()$B$H$+$r;H$C$A$c$$$1$J$$!#(B
+ 		common/exf.c
+ 		common/multibyte.c
+ 		ex/ex_read.c
+ 12/24(Merry Christmas!)
+ 	$B:n6H(B: $B%U%!%$%kF~=PNO%3!<%I$N<+F0H=JL!#(B
+ 	      $BH=JL$7$F$b!"(Bfileencoding$B$NCM$OJQ2=$7$J$$!#(B
+ 	      $B$A$J$_$K!"(B!$B$H$+$N=hM}%3!<%I$b(B:set fileencoding$B$G@_Dj$5$l$F$k(B
+ 	      $B$d$D$H0l=o$G$9!#(B
+ 	      :set fileencoding=euc-jp		euc-jp
+ 	      :set fileencoding=iso-2022-jp	iso-2022-jp
+ 	      :set fileencoding=sjis		sjis
+ 	      :set fileencoding=euc-jp*		$B<+F0H=JL(B/$BITL@$J$i(Beuc-jp
+ 	      :set fileencoding=iso-2022-jp*	$B<+F0H=JL(B/$BITL@$J$i(Biso-2022-jp
+ 	      :set fileencoding=sjis*		$B<+F0H=JL(B/$BITL@$J$i(Bsjis
+ 		$B2r7h(B: $B%U%!%$%kF~NO$N:]$N(Bencoding$B<+F0H=JL(B(12/10)
+ 		common/exf.c
+ 		common/multibyte.c
+ 		ex/ex_read.c
+ 	$B:n6H(B: $B%U%!%$%kFI$_=P$7;~$N%3!<%IJQ49$N>l=j$rJQ99!#(B
+ 	      db$B$KA4ItFI$_9~$_=*$C$F$+$iA4It$J$a$k!#(B
+ 		$B2r7h(B: $B%U%!%$%k(Bopen$B;~$N%3!<%IJQ49(Bhook$B$N0LCV!#(B(12/23)
+ 			db$B%i%$%V%i%j$K<j$r$D$C$3$^$:$K$O$G$-$J$$(B?
+ 		$B$J$s$+CN$i$s$,2r7h(B:
+ 			dG$B$9$k$H$?$^$K(Bsegmentation fault$B$,$"$k!#(B(12/23)
+ 			:set fileencoding=iso-2022-jp$B$G!"%U%!%$%kFI$_9~$_D>8e!#(B
+ 			$B$I$s$JJ8=q$G$b!"(B3$B9TL\:o=|$7$F$$$k$H$-(B($B$J$s$G(B3$B9TL\$J$o$1(B?)
+ 			text_init()$B$+$i8F$P$l$?(Bcalloc()$B$N:GCf!#(B
+ 			$B$I$C$+%a%b%j2u$7$F$k(B??
+ 		common/exf.c
+ 		common/multibyte.c
+ 		db/recno/rec_get.c
+ 		ex/ex_read.c
+ 12/23
+ 	$B:n6H(B: sjis$B$N(BJIS X0201$B:8B&(B(1$B%P%$%H%+%?%+%J(B)$B%5%]!<%H!#;n$7$F$J$$$>!#(B
+ 		$B2r7h(B: sjis$B$N$H$-$N(BJIS X0201$B%+%?%+%JBP1~(B(12/22)
+ 		common/multibyte.c
+ 	$B:n6H(B: euc-jp$B$N(BJIS X0212-1990($BJd=u4A;z(B)/JIS X0201$B:8B&(B(1$B%P%$%H%+%?%+%J(B)
+ 	      $B%5%]!<%H!#;n$7$F$J$$$>!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: JIS X0212-1990($BJd=u4A;z(B)$B%5%]!<%H!#;n$7$F$J$$$>!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: $BI=<($b$G$-$J$$$N$K(Bcharset$BA}$d$7$^$/$j!#$"$H;D$k$O(Bbig5?
+ 		$B2r7h(B: charset$B$r$b$C$HA}$d$=$&(B(12/10)
+ 		common/multibyte.c
+ 	$B:n6H(B: ISO-2022-*$B7O$N$=$3$=$3$P$C$A$j$J%Q!<%5!#(B
+ 	      $B$?$@$7!"3F9T$4$H$K(Bdesignation$B$N>uBV$,$b$H$KLa$k$d$D$K8B$k!#(B
+ 		common/multibyte.c
+ 12/22
+ 	$B:n6H(B: ftp.foretune.co.jp$B$K(Bftp directory$B$rMQ0U!#(B
+ 	$B:n6H(B: :set noleftright$B$N$H$-$N9TKv$r1[$($k9T$N9TKv=hM}(B
+ 		vi/vs_line.c
+ 		vi/vs_refresh.c
+ 		vi/vs_relative.c
+ 		$B2r7h(B: $B9TKv$r1[$($k9T$N=hM}(B(12/1)
+ 	$B:n6H(B: v_ex_done()$B$N(Bmultibyte$BBP1~(B
+ 		vi/v_ex.c
+ 	$B:n6H(B: multibyte$BJ8;z$NESCf$rF'$s$G$?$H$3$m$,$"$C$?$N$G=$@5(B
+ 	      (#ifdef MULTIBYTE$B$N(Btypo!)
+ 		vi/v_txt.c
+ 12/21
+ 	$B:n6H(B: prototype$B@k8@$NIU2C!#(BCHAR_T -> ARG_CHAR_T$B!"(Bchclass$B$r(Bu_int$B$K(B
+ 		common/multibyte.c
+ 		vi/v_word.c
+ 		$B2r7h(B: include$B$N2<$N%U%!%$%k$N<+F0@8@.2=(B(12/10)
+ 	$B:n6H(B: wrapmargin$B$NA`:n$,F|K\8lF'$s$G$bH/68$7$J$$(B
+ 		vi/v_txt.c
+ 	$B:n6H(B: $B%-!<F~NO$N(Beuc-jp/sjis$BBP1~(B
+ 	      illegal$B$JF~NO(B(euc$BH>J,$@$1$H$+(B)$B!"(Btimeout$B4XO"$O$^$@IT0B!#(B
+ 	      $BFM$C9~$`$H$3$m$rJQ$($?J}$,$$$$(B?
+ 	      :set inputencoding=euc-jp		euc-jp
+ 	      :set inputencoding=sjis		sjis
+ 		common/multibyte.c
+ 		vi/v_txt.c
+ 12/10 26:30$B0J9_(B
+ 	$B:n6H(B: E/e/B/b$B%3%^%s%I$K$D$$$F$b(Bmultibyte$BBP1~!#(B
+ 	      W/w$B%3%^%s%I$N=hM}FbMF$rJQ$($A$c$C$?%(%s%P%0$rD>$9!#(B
+ 		vi/v_word.c
+ 12/10 17:30$B0J9_(B
+ 	$B:n6H(B: $B$H$j$"$($:(BW$B$H(Bw$B%3%^%s%I$@$1(Bmultibyte$BBP1~!#F0:n$O(Bjelvis$B$H0l=o!#(B
+ 		$BB>$K$D$$$F$bK=Av$O$7$J$$!#(B
+ 		$B2r7h(B: word movement$B$N(Bmultibyte$BBP1~(B(12/10)
+ 		vi/v_word.c
+ 		common/multibyte.c
+ 	$B:n6H(B: $B:FIA2hIt$K!V(B1$B%P%$%H$K$D$-(B1$B7e0J>eI=<($5$l$k!W$C$F$N$rA0Ds$K(B
+ 	      $B$9$k%3!<%I$,;D$C$F$$$?$N$G=|5n!#(B
+ 		vi/vs_line.c
+ 	$B:n6H(B: word movement$B$G$H$j$"$($:K=Av$7$J$$$h$&$K$9$k!#(B
+ 		vi/v_word.c
+ 	$B:n6H(B: $BFbIt%3!<%I4XO"$N%(%s%P%0$7$?$H$3$m$N=$@5!#(Bmulti_back()$B$H$+!#(B
+ 		common/multibyte.c
+ 	$B:n6H(B: 0x80$B$+$i(B0xff$B$N%P%$%J%j$,Mh$?$H$-$NBP=h!#I=<(7O$b!#(B
+ 	      $B<c43%(%s%P%0$H$j$b$"$j!#(B
+ 		common/key.c
+ 		common/gs.h
+ 		ex/ex_print.c
+ 		$B2r7h(B: $B%P%$%J%j%U%!%$%k$r$$$8$/$m$&$H$7$?$H$-$NBP:v(B (12/1)
+ 			$BB?%P%$%HJ8;z$O(B1byte$B$a$G8!=P$G$-$k$+$i!"FI$_9~$_(B/
+ 			$B=q$-=P$7;~$KCm0U$9$l$PBg>fIW$@$H$*$b$&!#(B
+ 		$B2r7h(B: KEY_LEN(sp, x)$B$G!"(Bx=0x80$B$N$H$-$N=hM}(B(12/10)
+ 			CS_RAW
+ 12/10 17:30$B$^$G(B
+ 	$B:n6H(B: $B%U%!%$%kF~=PNOMQ(Bencoding$B$N@ZBX$(!#<+F0H=JL$O$J$7!#(B
+ 	      $B2hLLI=<($O(Beuc-jp$B$N$_(B(curses$B2~B$$,B-$j$J$$(B)
+ 	      $B%-!<%\!<%I$+$i$OF|K\8l$,BG$F$J$$!#(B
+ 	      :set fileencoding=euc-jp		euc-jp
+ 	      :set fileencoding=iso-2022-jp	iso-2022-jp
+ 	      :set fileencoding=sjis		sjis
+ 		common/multibyte.c
+ 		db/recno/rec_get.c
+ 		ex/ex_write.c
+ 		ex/ex_read.c
+ 		common/options.c
+ 		common/options_f.c
+ 		include/options_def.h
+ 		include/com_extern.h
+ 	$B:n6H(B: $BFbIt%3!<%I$O(Beuc-jp$B$r$d$a$F(Bmule$B$C$]$/!#J#?t(Bcharset$B$N%5%]!<%H!#(B
+ 		common/multibyte.c
+ 12/8
+ 	$B:n6H(B: :j$B%3%^%s%I$N(Bmultibyte$BBP1~(B($BF0:n$O(Bjelvis$B$HF1MM(B)
+ 	      $B$[$s$H$OJ8;z<o$4$H$KF0:n$rDj5A$G$-$k$h$&$K$7$F$*$-$?$$!#(B
+ 		ex/ex_join.c
+ 	$B:n6H(B: curses$B$N(BEUC-JP$BBP1~$N$d$j;D$7(B $BFbMF$O(Btoku$BHG$HF1MM(B
+ 		curses/refresh.c
+ 		$B2r7h(B: $B4A;z$N(B2$B%P%$%H$a$rF'$`$h$&$J%+!<%=%k0\F0$r$9$k$H!"(B
+ 			$B%+!<%=%k$,$:$l$A$c$&(B(12/1)
+ 		$B2r7h(B: x$B$GF|K\8l$r:o=|$9$k$H$J$s$+%X%s(B(12/8)
+ 			redraw$B$,A4A3$5$l$J$$(B
+ 			undo$B$b$"$+$s(B
+ 			curses$BLdBj!#:o=|$7$?$H$-$N(Bbyte compare$B$,(B
+ 			$B$&$^$/$$$C$F$J$$(B
+ 	$B:n6H(B: c$B%3%^%s%I$N=q$-49$(HO0O$N(B"$"$B$N=hM}(B
+ 	      byte$B?t$HI=<(I}$,$*$J$8$8$c$J$/$F$b(Bok
+ 		vi/v_txt.c
+ 		$B2r7h(B: c$B%3%^%s%I$N=q$-49$(HO0O$N(B"$"$B$N=hM}$N(Bmultibyte$BBP1~(B (12/7)
+ 12/7
+ 	$BESCf(B: c$B%3%^%s%I$N=q$-49$(HO0O$N(B"$"$B$N=hM}(B
+ 	      byte$B?t$HI=<(I}$,$*$J$8$8$c$J$$$HF0$+$J$$(B
+ 		vi/v_txt.c
+ 12/1
+ 	$BESCf(B: $BF~NO%3%^%s%I4XO"$N(Bmultibyte$BBP1~(B
+ 		vi/v_itxt.c
+ 	$B:n6H(B: curses$B$N(BEUC-JP$BBP1~(B($B$H$j$"$($:!"2>$K(B) $BFbMF$O(Btoku$BHG$HF1MM(B
+ 		$B2r7h(B: $B4A;z$N(B2$B%P%$%H$a$rF'$`$h$&$J%+!<%=%k0\F0$r$9$k$H!"(B
+ 			$B%+!<%=%k$,$:$l$A$c$&(B(12/1)
+ 		curses/cr_put.c
+ 		curses/refresh.c
+ 	$B:n6H(B: vs_line()$B$N8+D>$7(B
+ 		vi/vs_line.c
+ 		vi/vs_refresh.c
+ 		$B2r7h(B: $B4A;z$N>e$r1[$($F(B~$B$9$k$H%+!<%=%k$,$:$l$k(B(11/29)
+ 		$B2r7h(B: $B>e2<0\F0$,$A$g$C$H%X%s!#$H$-$I$-(Babort()$B$9$k(B(12/1)
+ 		$B2r7h(B: d$B8e$N(Bredraw(11/25)
+ 		$B2r7h(B: p$B8e$N(Bredraw$B$G%+!<%=%k$,$:$l$k(B(11/26)
+ 		$B2r7h(B: $B$R$H$b$8:o=|8e$N(Bredraw(11/25)
+ 11/30
+ 	$B:n6H(B: cs_next()/cs_prev()$B$N(Bmultibyte$BHG$rMQ0U(B
+ 		vi/getc.c vi/vi.h
+ 	$B:n6H(B: ($B%3%^%s%I$H(B)$B%3%^%s%I(B(multibyte$BJ8;z$N>e$ODL$jH4$1$k$@$1(B)
+ 		vi/v_sentence.c
+ 	$B:n6H(B: %$B%3%^%s%I(B(multibyte$BJ8;z$N>e$ODL$jH4$1$k$@$1(B)
+ 		vi/v_match.c
+ 	$B:n6H(B: vs_colpos()$B$N=q$-D>$7(B
+ 		vi/vs_relative.c
+ 11/29
+ 	$B:n6H(B: ~$B%3%^%s%I(B(multibyte$BJ8;z$N>e$ODL$jH4$1$k$@$1(B)
+ 		vi/v_ulcase.c
+ 11/26
+ 	$BESCf(B: %$B%3%^%s%I(B($B:n6HESCf$G(Bvi/getc.c$B$NBgI}JQ99$NI,MW$K5$$E$-CGG0(B)
+ 		vi/v_match.c
+ 	$B:n6H(B: p/P$B%3%^%s%I(B
+ 		common/put.c
+ 11/25
+ 	$B:n6H(B: d$B%3%^%s%I(B
+ 		vi/v_delete.c
+ 	$B:n6H(B: f$B$H$+(Bt$B$H$+(B(multibyte$BJ8;z$O8!:w$G$-$J$$(B)
+ 		vi/v_ch.c
+ 	$B:n6H(B: vi$B$N$R$H$b$8:o=|(B
+ 		vi/v_xchar.c
+ 		common/cut.c
+ 		common/delete.c
+ 	$B:n6H(B: vi$B$N(Bredraw
+ 		vi/vs_refresh.c
+ 11/24
+ 	$B:n6H(B: vi$B$N(Bredraw
+ 		vi/vs_refresh.c
+ 	$B:n6H(B: vi$B$NAjBP0\F0(B
+ 		vi/vs_relative.c
+ 	$B:n6H(B: vi$B$N:81&0\F0(B
+ 		vi/v_right.c
+ 		vi/v_left.c
+ 11/23
+ 	$B:n6H3+;O(B
+ 
+ 	$B:n6H(B: $B%^%k%A%P%$%HH=JL(B
+ 		common/multibyte.c
+ 		common/key.c
+ 		common/gs.h
+ 	$B:n6H(B: Makefile$B$H(Bconfigure
+ 		build/Makefile
+ 		build/configure.in
+ 	$B:n6H(B: ex$B$N9TI=<((B
+ 		ex/ex_print.c
+ 	$B:n6H(B: vi$B$N:81&0\F0(B
+ 		vi/v_right.c
+ 		vi/v_left.c
+ 	$B:n6H(B: vi$B$N(Bredraw
+ 		vi/vs_refresh.c
